require 'resque_scheduler/tasks'
# encoding: utf-8 

namespace :data_migration do
  
  task :add_order_to_announcement_tag_0703 => :environment do
   AnnouncementTag.first({conditions:{ key: 'students' }}).update_attributes(:order=>1)
   AnnouncementTag.first({conditions:{ key: 'alumni' }}).update_attributes(:order=>2)
   AnnouncementTag.first({conditions:{ key: 'employee' }}).update_attributes(:order=>3)
   AnnouncementTag.first({conditions:{ key: 'guest' }}).update_attributes(:order=>4)
  end

  task :add_archive_func_to_bulletin_category_0704  => :environment do
    BulletinCategory.all.each{|bc| bc.disable=false;bc.save!}
  end


  task :add_archive_func_to_news_bulletin_category_0704  => :environment do
    NewsBulletinCategory.all.each{|bc| bc.disable=false;bc.save!}
  end

end